XML::SemanticDiff::BasicHandler(3pm)

NAME
XML::SemanticDiff::BasicHandler - Default handler class for XML::SemanticDiff

VERSION
version 1.0007

SYNOPSIS
  use XML::SemanticDiff;
  my $diff = XML::SemanticDiff->new();

  foreach my $change ($diff->compare($file, $file2)) {
      print "$change->{message} in context $change->{context}\n";
  }

DESCRIPTION
This is the default event handler for XML::SemanticDiff. It implements nothing useful apart from the parent class and should never be used directly.

Please run perldoc XML::SemanticDiff for more information.

VERSION
version 1.0007

IMPLEMENTED METHODS (FOR INTERNAL USE)

  new =head2 rogue_element =head2 missing_element =head2 element_value =head2 rogue_attribute =head2 missing_attribute =head2 attribute_value =head2 namespace_uri =head2 parent_and_name

AUTHOR
Kip Hampton khampton@totalcinema.com

COPYRIGHT
Copyright (c) 2000 Kip Hampton. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
XML::SemanticDiff

AUTHORS

•   Shlomi Fish <shlomif@cpan.org>

•   Chris Prather <chris.prather@tamarou.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2001 by Kip Hampton.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

BUGS
Please report any bugs or feature requests on the bugtracker website <https://github.com/shlomif/perl-XML-SemanticDiff/issues>

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

SUPPORT

  Perldoc
You can find documentation for this module with the perldoc command.

  perldoc XML::SemanticDiff::BasicHandler

  Websites
The following websites have more information about this module, and may be of help to you. As always, in addition to those websites please use your favorite search engine to discover more resources.

•   MetaCPAN

    A modern, open-source CPAN search engine, useful to view POD in HTML format.

    <https://metacpan.org/release/XML-SemanticDiff>

•   Search CPAN

    The default CPAN search engine, useful to view POD in HTML format.

    <http://search.cpan.org/dist/XML-SemanticDiff>

•   RT: CPAN's Bug Tracker

    The RT ( Request Tracker ) website is the default bug/issue tracking system for CPAN.

    <https://rt.cpan.org/Public/Dist/Display.html?Name=XML-SemanticDiff>

•   AnnoCPAN

    The AnnoCPAN is a website that allows community annotations of Perl module documentation.

    <http://annocpan.org/dist/XML-SemanticDiff>

•   CPAN Ratings

    The CPAN Ratings is a website that allows community ratings and reviews of Perl modules.

    <http://cpanratings.perl.org/d/XML-SemanticDiff>

•   CPANTS

    The CPANTS is a website that analyzes the Kwalitee ( code metrics ) of a distribution.

    <http://cpants.cpanauthors.org/dist/XML-SemanticDiff>

•   CPAN Testers

    The CPAN Testers is a network of smoke testers who run automated tests on uploaded CPAN distributions.

    <http://www.cpantesters.org/distro/X/XML-SemanticDiff>

•   CPAN Testers Matrix

    The CPAN Testers Matrix is a website that provides a visual overview of the test results for a distribution on various Perls/platforms.

    <http://matrix.cpantesters.org/?dist=XML-SemanticDiff>

•   CPAN Testers Dependencies

    The CPAN Testers Dependencies is a website that shows a chart of the test results of all dependencies for a distribution.

    <http://deps.cpantesters.org/?module=XML::SemanticDiff>

  Bugs / Feature Requests
Please report any bugs or feature requests by email to "bug-xml-semanticdiff at rt.cpan.org", or through the web interface at <https://rt.cpan.org/Public/Bug/Report.html?Queue=XML-SemanticDiff>. You will be automatically notified of any progress on the request by the system.

  Source Code
The code is open to the world, and available for you to hack on. Please feel free to browse it and play with it, or whatever. If you want to contribute patches, please send me a diff or prod me to pull from your repository :)

<https://github.com/shlomif/perl-XML-SemanticDiff>

  git clone git://github.com/shlomif/perl-XML-SemanticDiff.git